<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE Entity SYSTEM "jbo_03_01.dtd">
<!---->
<Entity
  xmlns="http://xmlns.oracle.com/bc4j"
  Name="Jobs"
  Version="12.2.1.9.14"
  InheritPersonalization="merge"
  DBObjectType="table"
  DBObjectName="JOBS"
  AliasName="Jobs"
  BindingStyle="OracleName">
  <Attribute
    Name="JobId"
    IsNotNull="true"
    Precision="10"
    ColumnName="JOB_ID"
    SQLType="VARCHAR"
    Type="java.lang.String"
    ColumnType="VARCHAR2"
    TableName="JOBS"
    PrimaryKey="true">
    <DesignTime>
      <Attr Name="_DisplaySize" Value="10"/>
    </DesignTime>
  </Attribute>
  <Attribute
    Name="JobTitle"
    IsNotNull="true"
    Precision="35"
    ColumnName="JOB_TITLE"
    SQLType="VARCHAR"
    Type="java.lang.String"
    ColumnType="VARCHAR2"
    TableName="JOBS">
    <DesignTime>
      <Attr Name="_DisplaySize" Value="35"/>
    </DesignTime>
  </Attribute>
  <Attribute
    Name="MinSalary"
    Precision="6"
    Scale="0"
    ColumnName="MIN_SALARY"
    SQLType="NUMERIC"
    Type="java.lang.Integer"
    ColumnType="NUMBER"
    TableName="JOBS"/>
  <Attribute
    Name="MaxSalary"
    Precision="6"
    Scale="0"
    ColumnName="MAX_SALARY"
    SQLType="NUMERIC"
    Type="java.lang.Integer"
    ColumnType="NUMBER"
    TableName="JOBS"/>
  <AccessorAttribute
    Name="Employees"
    Association="com.redsamurai.model.entities.assocs.EmpJobFkAssoc"
    AssociationEnd="com.redsamurai.model.entities.assocs.EmpJobFkAssoc.Employees"
    AssociationOtherEnd="com.redsamurai.model.entities.assocs.EmpJobFkAssoc.Jobs"
    Type="oracle.jbo.RowIterator"
    IsUpdateable="false"/>
  <AccessorAttribute
    Name="JobHistory"
    Association="com.redsamurai.model.entities.assocs.JhistJobFkAssoc"
    AssociationEnd="com.redsamurai.model.entities.assocs.JhistJobFkAssoc.JobHistory"
    AssociationOtherEnd="com.redsamurai.model.entities.assocs.JhistJobFkAssoc.Jobs"
    Type="oracle.jbo.RowIterator"
    IsUpdateable="false"/>
  <Key
    Name="JobIdPk"
    PrimaryKey="true">
    <DesignTime>
      <Attr Name="_DBObjectName" Value="JOB_ID_PK"/>
    </DesignTime>
    <AttrArray Name="Attributes">
      <Item Value="com.redsamurai.model.entities.Jobs.JobId"/>
    </AttrArray>
  </Key>
  <Key
    Name="JobTitleNn">
    <DesignTime>
      <Attr Name="_checkCondition" Value='"JOB_TITLE" IS NOT NULL'/>
      <Attr Name="_isCheck" Value="true"/>
      <Attr Name="_DBObjectName" Value="JOB_TITLE_NN"/>
    </DesignTime>
    <AttrArray Name="Attributes"/>
  </Key>
</Entity>
